Simulate crypto payout
curl --request POST \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/crypto-payouts/simulate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amounts": {
"debitedAmount": {
"currency": "CURRENCY",
"amount": 1000
},
"receivedAmount": {
"currency": "CURRENCY",
"amount": 1000
}
},
"recipient": {
"network": "SOLANA"
}
}
'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/crypto-payouts/simulate"
payload = {
"amounts": {
"debitedAmount": {
"currency": "CURRENCY",
"amount": 1000
},
"receivedAmount": {
"currency": "CURRENCY",
"amount": 1000
}
},
"recipient": { "network": "SOLANA" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amounts: {
debitedAmount: {currency: 'CURRENCY', amount: 1000},
receivedAmount: {currency: 'CURRENCY', amount: 1000}
},
recipient: {network: 'SOLANA'}
})
};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/crypto-payouts/simulate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"destination": {
"currency": "CURRENCY",
"amount": 1000
},
"fee": {
"amount": 100,
"breakdown": {
"merchantFee": 40,
"systemFee": 60
},
"currency": "EUR"
},
"origin": {
"currency": "CURRENCY",
"amount": 1000
},
"quote": {
"rate": 1.08,
"timestamp": "2025-01-15T10:30:00.000Z",
"validUntil": "2025-01-15T10:30:30.000Z"
},
"quoteId": "q1a2b3c4-d5e6-4f7a-8b9c-0d1e2f3a4b5c"
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Crypto Payout
Simulate crypto payout
Simulate an cryptocurrency payout to calculate fees and exchange rates.
POST
/
api
/
v1
/
account
/
users
/
{uid}
/
accounts
/
{aid}
/
crypto-payouts
/
simulate
Simulate crypto payout
Authorizations
API Key for accessing management endpoints
Body
application/json
Payout details
⌘I